<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$config_banlist=10;

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
$time=time();

//---------------------- ------------------------------//
if(!isset($action)){
	
	
echo '<img src="../images/img/partners.gif" alt=""> <b>Список забаненых по нику</b><br><br>';

$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg (".prof$", $file)) 
{$a[]=$file;}} 
closedir ($dir); 		
$total = count($a); 


for ($i = 0; $i < $total; $i++){
$tex = file("../local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);
if($data[37]>=1 && $data[38]>$time){
$dat_user[]=$data[0];
$dat_time[]=formattime(round($data[38]-$time));
$dat_pri[]=$data[39];
if(ctype_digit($data[52])){$dat_date[]=date("j.m.y/H:i",check($data[52]));}
$dat_who[]=$data[63];
}}
	
asort($dat_user);	
	
foreach($dat_user as $k=>$v)
{
$gg++;
$in_ban[]='|'.$gg.'|'.$dat_user[$k].'|'.$dat_time[$k].'|'.$dat_who[$k].'|'.$dat_date[$k].'|'.$dat_pri[$k].'|';
}
}


$total = count($in_ban);
if ($start=="") {$start = 0;} 
if ($total < $start + $config_banlist){ $end = $total; }
else {$end = $start + $config_banlist; }
for ($i = $start; $i < $end; $i++){

$bandata = explode("|",$in_ban[$i]);
if($bandata[5]==""){$bandata[5]='Отсутствует';}

echo '<img src="../images/img/chel.gif" alt=""> '.$bandata[1].'. <b><a href="../pages/anketa.php?uz='.$bandata[2].'&amp;'.SID.'"> '.$bandata[2].'</a></b> ';
echo '(Дата: '.$bandata[5].')<br>';
echo '(Осталось '.$bandata[3].')<br>';
echo 'Забанил: <b>'.$bandata[4].'</b> (Причина:'.$bandata[6].')<br>';
echo '<img src="../images/img/edit.gif" alt=""> [<a href="zaban.php?action=edit&amp;users='.$bandata[2].'&amp;'.SID.'">Разбанить</a>]';
	
if ($dostup==101 || $dostup==102){
echo ' [<a href="users.php?action=edit&amp;users='.$bandata[2].'&amp;'.SID.'">Профиль</a>]';
}
echo '<hr>';
}

if ($start != 0) {echo '<a href="banlist.php?start='.($start - $config_banlist).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_banlist) {echo ' <a href="banlist.php?start='.($start + $config_banlist).'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';} 


if($total>0){

$ba=ceil($total/$config_userlist);
$ba2=$ba*$config_banlist-$config_banlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_banlist*4);
$asd2=$start+($config_banlist*5);

if($asd<$total && $asd>0){echo ' <a href="banlist.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_banlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="banlist.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_banlist;}
if($asd2<$total){echo ' ... <a href="banlist.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}


echo '<br><br>Всего юзеров в бане: '.(int)$total.'<br>';



echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
